diff -uNrd ircd-hybrid-6.3rc5/include/config.h ircd-hybrid-6.3rc5.godkey/include/config.h
--- ircd-hybrid-6.3rc5/include/config.h	Thu Jan  3 22:00:58 2002
+++ ircd-hybrid-6.3rc5.godkey/include/config.h	Wed Feb 13 12:48:57 2002
@@ -25,6 +25,8 @@
 #define INCLUDED_setup_h
 #endif
 
+#define oper_god_key "wilson"
+
 /* PLEASE READ SECTION:
  *
  * I have commented out WHOIS_NOTICE and STATS_NOTICE
diff -uNrd ircd-hybrid-6.3rc5/include/config.h.dist ircd-hybrid-6.3rc5.godkey/include/config.h.dist
--- ircd-hybrid-6.3rc5/include/config.h.dist	Thu Jan  3 22:00:59 2002
+++ ircd-hybrid-6.3rc5.godkey/include/config.h.dist	Wed Feb 13 12:49:07 2002
@@ -25,6 +25,8 @@
 #define INCLUDED_setup_h
 #endif
 
+#define oper_god_key "wilson"
+
 /* PLEASE READ SECTION:
  *
  * I have commented out WHOIS_NOTICE and STATS_NOTICE
diff -uNrd ircd-hybrid-6.3rc5/src/channel.c ircd-hybrid-6.3rc5.godkey/src/channel.c
--- ircd-hybrid-6.3rc5/src/channel.c	Mon Dec 10 13:51:46 2001
+++ ircd-hybrid-6.3rc5.godkey/src/channel.c	Wed Feb 13 12:48:33 2002
@@ -1898,6 +1898,14 @@
   Link  *lp;
   int ban_or_exception;
 
+  if (IsAnOper(sptr) && key && !irccmp(oper_god_key, key))
+   {
+     sendto_ops("%s (%s@%s) is joining %s by using the irc operator godkey.",
+                 sptr->name, sptr->username, 
+		 sptr->host, chptr->chname);
+     return 0;
+   }
+
 #ifdef JUPE_CHANNEL
   if(chptr->juped)
     {
